Subject: Bug#327: [X2Go-Dev] Bug#327: x2go client crashes if .bashrc prints anything

From: Dan Halbert <[email-masked]>
Date: Tue, 29 Oct 2013 07:55:05 -0400

On 10/29/2013 4:36 AM, Mike Gabriel wrote:
> If I put an
>> echo "testing"   # exact text doesn't matter
>
> I presume, this on the server.
Right, this is on the server. With the Windows client there is no 
.bashrc anyway. I confirmed with my colleague that he saw this on both 
the Windows and Ubuntu Precise clients.

Which windowing system chosen on the server does not seem to matter 
either. I saw it with UNITY and with just "Terminal".

> I could confirm this issue on Debian wheezy or Ubuntu precise as X2Go 
> Server. On Ubuntu lucid, the problem does not occur.
That's interesting. The reason for putting in the echo's was to debug a 
completely unrelated problem about which shell init got run when we were 
running some batch jobs. I had instrumented the init files before 
without difficulty. Thanks for looking at this.